using Microsoft.EntityFrameworkCore;
using SteUp.Shared.Core.Interface.LocalDb;

namespace SteUp.Data.LocalDb;

public class DbInitializer(AppDbContext db) : IDbInitializer
{
    public async Task InitializeAsync()
    {
        await db.Database.MigrateAsync();
    }
}